# typed: strict
require_relative "boot"
require "rails/all"
require "sorbet-runtime"

module ReduxScraper
  class Application < Rails::Application
    config.active_support.deprecation = :raise
  end
end

# Require the gems listed in Gemfile, including any gems
# you've limited to :test, :development, or :production.
Bundler.require(*Rails.groups)

module ReduxScraper
  class Application < Rails::Application
    config.session_store :cookie_store, key: "_refurrer_session"
    config.assets.precompile << "good_job_custom.css"
    config.active_record.schema_format = :sql

    # Initialize configuration defaults for originally generated Rails version.
    config.load_defaults 7.0

    config.autoload_paths << Rails.root.join("app/lib")
    config.eager_load_paths << Rails.root.join("app/lib")

    # all environments use good_job (in external execution mode)
    config.active_job.queue_adapter = :good_job

    # Configuration for the application, engines, and railties goes here.
    #
    # These settings can be overridden in specific environments using the files
    # in config/environments, which are processed later.
    #
    config.time_zone = "Pacific Time (US & Canada)"
  end
end
